php_who.d(1m)

NAME
php_who.d - trace PHP function execution by process using DTrace.

SYNOPSIS
php_who.d

DESCRIPTION
This traces PHP activity from all PHP programs on the system that are running with PHP provider support. Filenames are printed if available.

OS
Any

STABILITY
Evolving - uses the DTrace Php provider, which may change as additional features are introduced. Check Php/Readme to see what version these scripts are based on.

EXAMPLES

Default output,
    # php_who.d

FIELDS

PID Process ID of PHP

UID User ID of the owner

FUNCS
    Number of function calls

FILE
    Pathname of the PHP program

DOCUMENTATION
See the DTraceToolkit for further documentation under the Examples, Notes and Docs directories. The example files may be especially useful as they aim to demonstrate how to interpret the output.

EXIT
php_who.d will run until Ctrl-C is hit.

AUTHOR
Brendan Gregg [CA, USA]

SEE ALSO
dtrace(1M)